#include <bits/stdc++.h>

using namespace std;

int main()
{
    long long int n, m;
    cin >> m >> n;
    long long int okvir = (n + m - 2) * 2;
    cout << okvir + ((m * n - okvir) / 2);
    return 0;
}